.about-page {
    padding: 2rem;
    color: var(--primary-color);
    letter-spacing: -0.05em;
}

.hero-about {
    padding: 5.2rem 0rem;
    margin-bottom: -2rem;
}

.hero-about-title {
    font-size: 4.2rem; /* Font besar untuk desktop */
    line-height: 1;
    font-weight: 550;
    color: var(--primary-color);
}

.content-block {
    padding: 2rem 0rem;
}

.section-title {
    margin-top: -8px;
    font-size: 2.75rem;
    color: var(--primary-color);
    font-weight: 550;
    width: 40%;
    float: left;
}

.section-content {
    width: 54.5%;
    float: right;
}

.section-content p {
    font-size: 1.6rem;
    line-height: 1.2;
    color: var(--primary-color);
    margin-bottom: 2rem;
}

.section-content p:last-child {
    margin-bottom: 0;
}

/* Clear float after each content block */
.content-block::after {
    content: "";
    display: table;
    clear: both;
}

/* Responsiveness */
@media (max-width: 768px) {
    .hero-about-title {
      text-align: center; /* Rata tengah */
    }

    .section-title {
        width: 100%; /* Lebar penuh untuk layar kecil */
        float: none; /* Hilangkan float */
        text-align: center; /* Rata tengah */
        margin-bottom: 1rem; /* Tambahkan jarak bawah */
    }

    .section-content {
        width: 100%; /* Lebar penuh untuk layar kecil */
        float: none; /* Hilangkan float */
        text-align: justify; /* Justifikasi untuk estetika */
    }

    .section-content p {
        font-size: 1.1rem; /* Ukuran lebih kecil */
    }
}

@media (max-width: 480px) {
    .hero-about-title {
        font-size: 3rem; /* Font lebih kecil */
        line-height: 1.1;
    }

    .section-title {
        font-size: 1.5rem; /* Font lebih kecil untuk judul */
    }

    .section-content p {
        font-size: 1rem; /* Font lebih kecil untuk teks */
    }
}

/* Large Screens (1920px and up) */
@media (min-width: 1920px) {
    .hero-about-title {
        font-size: 5rem; /* Font lebih besar untuk layar besar */
    }

    .section-title {
        font-size: 3rem;
    }

    .section-content {
        font-size: 1.8rem;
    }
}
